Gstreamer 1.18 ubuntu

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

Gstreamer 1.18 ubuntu

Andrés Meseguer Valenzuela
Hi, I need to install gstreamer v1.18 to a device with Ubuntu 16.
Would it be possible? I can not change my ubuntu version.
What is the installation process?

Thanks for your time.
Regards,
Andrés

_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.freedesktop.org/mailman/listinfo/gstreamer-devel
Reply | Threaded
Open this post in threaded view
|

Re: Gstreamer 1.18 ubuntu

Katerina Voulgary-2

Hello,

I used the gst-build evnvironment following these instructions: https://gitlab.freedesktop.org/gstreamer/gst-build

I don't know if it suits your specific needs, I am at ubuntu 18.

Στις 27/10/20 12:58 μ.μ., o/η Andrés Meseguer Valenzuela έγραψε:
Hi, I need to install gstreamer v1.18 to a device with Ubuntu 16.
Would it be possible? I can not change my ubuntu version.
What is the installation process?

Thanks for your time.
Regards,
Andrés

_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.freedesktop.org/mailman/listinfo/gstreamer-devel
 


_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.freedesktop.org/mailman/listinfo/gstreamer-devel
Reply | Threaded
Open this post in threaded view
|

Re: Gstreamer 1.18 ubuntu

Andrés Meseguer Valenzuela
Hi, I am trying to follow the steps in the url,
but when I have to use ninja to build, I receive this answer:
~/gst-build$ sudo ninja -C builddir
ninja: Entering directory `builddir'
ninja: error:  
'subprojects/pixman/pixman/libpixman-mmx.a.p/pixman-mmx.c.o', needed  
by 'subprojects/pixman/pixman/libpixman-1.so.0.40.1', missing and no  
known rule to make it

I have installed pixman lib dev but it does not work.
Regards,
Andres

Katerina Voulgary <[hidden email]> escribió:

> Hello,
>
> I used the gst-build evnvironment following these instructions:  
> https://gitlab.freedesktop.org/gstreamer/gst-build
>
> I don't know if it suits your specific needs, I am at ubuntu 18.
>
> Στις 27/10/20 12:58 μ.μ., o/η Andrés Meseguer Valenzuela έγραψε:
>> Hi, I need to install gstreamer v1.18 to a device with Ubuntu 16.
>> Would it be possible? I can not change my ubuntu version.
>> What is the installation process?
>>
>> Thanks for your time.
>> Regards,
>> Andrés
>>
>> _______________________________________________
>> gstreamer-devel mailing list
>> [hidden email]
>> https://lists.freedesktop.org/mailman/listinfo/gstreamer-devel
>
> 
> //


_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.freedesktop.org/mailman/listinfo/gstreamer-devel
Reply | Threaded
Open this post in threaded view
|

Re: Gstreamer 1.18 ubuntu

Katerina Voulgary-2
Installing pixman lib in the system will not help, because gst-build runs from inside that directory. Perhaps you can try:

   meson <builddir> --reconfigure

or

   meson <builddir> --wipe

It will force meson to reconfigure and then you can build again.



Στις 28/10/20 3:52 μ.μ., o/η Andrés Meseguer Valenzuela έγραψε:
Hi, I am trying to follow the steps in the url,
but when I have to use ninja to build, I receive this answer:
~/gst-build$ sudo ninja -C builddir
ninja: Entering directory `builddir'
ninja: error: 'subprojects/pixman/pixman/libpixman-mmx.a.p/pixman-mmx.c.o', needed by 'subprojects/pixman/pixman/libpixman-1.so.0.40.1', missing and no known rule to make it

I have installed pixman lib dev but it does not work.
Regards,
Andres

Katerina Voulgary [hidden email] escribió:

Hello,

I used the gst-build evnvironment following these instructions: https://gitlab.freedesktop.org/gstreamer/gst-build

I don't know if it suits your specific needs, I am at ubuntu 18.

Στις 27/10/20 12:58 μ.μ., o/η Andrés Meseguer Valenzuela έγραψε:
Hi, I need to install gstreamer v1.18 to a device with Ubuntu 16.
Would it be possible? I can not change my ubuntu version.
What is the installation process?

Thanks for your time.
Regards,
Andrés

_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.freedesktop.org/mailman/listinfo/gstreamer-devel


//


_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.freedesktop.org/mailman/listinfo/gstreamer-devel
--
 


Katerina Voulgary

Informatics and Telecommunications, BSc

Junio Researcher, Developer

Research and Development 

http://isense-webserver.iccs.gr/signature/line.jpg
 http://isense-webserver.iccs.gr/signature/image002.png http://isense-webserver.iccs.gr/signature/image011.jpg
Institute of Communication & Computer Systems (ICCS)

9, Iroon Politechniou Str. Zografou, Athens GREECE

T: +30-210-300-5896 | Internal: 2433
E: [hidden email]

W: https://i-sense.iccs.gr

http://isense-webserver.iccs.gr/signature/image005.png     http://isense-webserver.iccs.gr/signature/image006.png     http://isense-webserver.iccs.gr/signature/image007.png     http://isense-webserver.iccs.gr/signature/image008.png
 http://isense-webserver.iccs.gr/signature/signature10.jpgPlease consider the environment before printing this email.
The content of this email is confidential and intended for the recipient specified in message only.
It is strictly forbidden to share any part of this message with any third party, without a written consent of the sender.
If you received this message by mistake, please reply to this message and follow with its deletion, so that we can ensure such a mistake does not occur in the future

_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.freedesktop.org/mailman/listinfo/gstreamer-devel
Reply | Threaded
Open this post in threaded view
|

Re: Gstreamer 1.18 ubuntu

wreuven
I've been working with latest gst-build for a couple weeks and this error has
now somehow creeped in.

I've tried deleting everything in my gst-build and build directories and
start over again and still get this error?



--
Sent from: http://gstreamer-devel.966125.n4.nabble.com/
_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.freedesktop.org/mailman/listinfo/gstreamer-devel
Reply | Threaded
Open this post in threaded view
|

Re: Gstreamer 1.18 ubuntu

marom
In reply to this post by Katerina Voulgary-2
For me installing libpixman-1-dev (Ubuntu 20.04) worked. The build system
took pixman from the system instead as a subproject.

But this is a workaround... support of pixman as subproject looks broken



--
Sent from: http://gstreamer-devel.966125.n4.nabble.com/
_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.freedesktop.org/mailman/listinfo/gstreamer-devel